# eric4.Helpviewer.AdBlock.AdBlockDialog

Module implementing the AdBlock configuration dialog.

### Global Attributes

None

### Classes

AdBlockDialog | Class implementing the AdBlock configuration dialog.

### Functions

None

## AdBlockDialog

Class implementing the AdBlock configuration dialog.

### Derived from

QDialog, Ui_AdBlockDialog

### Class Attributes

None

### Class Methods

None

### Methods

AdBlockDialog | Constructor
__aboutToShowActionMenu | Private slot to show the actions menu.
__browseSubscriptions | Private slot to browse the list of available AdBlock subscriptions.
__learnAboutWritingFilters | Private slot to show the web page about how to write filters.
__removeSubscription | Private slot to remove the selected subscription.
__updateSubscription | Private slot to update the selected subscription.
addCustomRule | Public slot to add a custom AdBlock rule.
model | Public method to return a reference to the subscriptions tree model.
setCurrentIndex | Private slot to set the current index of the subscriptions tree.

### Static Methods

None

#### AdBlockDialog (Constructor)

AdBlockDialog(parent = None)

Constructor

#### AdBlockDialog.__aboutToShowActionMenu

__aboutToShowActionMenu()

Private slot to show the actions menu.

#### AdBlockDialog.__browseSubscriptions

__browseSubscriptions()

Private slot to browse the list of available AdBlock subscriptions.

#### AdBlockDialog.__learnAboutWritingFilters

__learnAboutWritingFilters()

Private slot to show the web page about how to write filters.

#### AdBlockDialog.__removeSubscription

__removeSubscription()

Private slot to remove the selected subscription.

#### AdBlockDialog.__updateSubscription

__updateSubscription()

Private slot to update the selected subscription.

#### AdBlockDialog.addCustomRule

addCustomRule(rule = "")

Public slot to add a custom AdBlock rule.

rule
  string defining the rule to be added (string or QString)

#### AdBlockDialog.model

model()

Public method to return a reference to the subscriptions tree model.

#### AdBlockDialog.setCurrentIndex

setCurrentIndex(index)

Private slot to set the current index of the subscriptions tree.

index
  index to be set (QModelIndex)

Up